### Function

# WebKit media_key_system_permission_get_name

since: 2.32

#### Declaration [src]

    const gchar*
    webkit_media_key_system_permission_get_name (
      WebKitMediaKeySystemPermissionRequest* request
    )

#### Description [src]

Get the key system for which access permission is being requested.

Available since: 2.32

#### Parameters

`request`

  Type: `WebKitMediaKeySystemPermissionRequest`

  A `WebKitMediaKeySystemPermissionRequest`.

  The data is owned by the caller of the function.

#### Return value

Type: `const gchar*`

The key system name for `request`.

The data is owned by the called function.
The value is a NUL terminated UTF-8 string.